Subject: bug#8932: 23.2; refcard names

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 12:44:33 -0700

tags 8932 + moreinfo
thanks

[email-masked] writes:

> It would be nice if the names of the refcards provided with emacs
> were standardized, and mentioned somewhere in the manual.
> At the moment, here is what I find on my 23.2 install.
>
>   refcard.pdf -- english
>   fr-refcard.pdf -- french
>   de-refcard.pdf -- german
>   pl-refcard.pdf -- polish
>   ru-refcard.pdf -- russian
>   cs-refcard.pdf -- czech
>   pt-br-refcard.pdf -- portuguese
>
>   survival.tex -- another reference card for emacs
>   dired-ref.pdf -- reference card for dired
>   calccard.pdf -- reference card for calc mode
>   orgcard.pdf -- reference card for org mode
>   gnus-refcard.pdf -- reference card for gnus
>   gnus-booklet.pdf -- extended list of shortcuts for gnus
>   vipcard.tex -- reference card for VIP, also known as vi-mode
>   vipercard.tex -- reference card for viper mode
>   tex-ref.pdf.gz -- reference card for auctex (!)
>
>   and some others
>   fr-survival.tex, sk-survival.tex, cs-survival.tex,
>   fr-dired-ref.tex, sk-dired-ref.tex, cs-dired-ref.tex
>
> Names like language-mode-refcard.pdf would make them easier to locate.

I'm not sure I understand the proposal here, or how we could make this
substantially better.  Note that moving the files will make looking into
git history harder, due to limitations in how git works.

I'm leaning towards closing this as wontfix.

> Also they do not seem to be mentioned in the emacs manual, at least not in
> the concept index.

Do they need to be?